"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Command_1 = require("@framework/commands/Command");
const axios_1 = require("@sudobot/utils/axios");
class NekoCommand extends Command_1.Command {
    constructor() {
        super(...arguments);
        this.name = "neko";
        this.description = "Fetch a random neko image";
        this.permissions = [];
        this.defer = true;
    }
    async execute(context) {
        try {
            const response = await (0, axios_1.getAxiosClient)().get("https://nekos.best/api/v2/neko");
            if (response.status < 200 || response.status >= 300)
                throw new Error("Invalid status code");
            await context.reply({
                files: [
                    {
                        attachment: response.data.results[0].url
                    }
                ]
            });
        }
        catch (error) {
            this.application.logger.error(error);
            await context.error("Failed to fetch a neko image.");
        }
    }
}
exports.default = NekoCommand;
